Bug 16426 - memory corruption (use after free) with fission
Summary: memory corruption (use after free) with fission
Status: NEW
Alias: None
Product: gdb
Classification: Unclassified
Component: symtab (show other bugs)
Version: HEAD
: P2 critical
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-10 05:12 UTC by dje
Modified: 2016-05-16 16:21 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments
transcript to feed to gdb to repro (831 bytes, text/plain)
2014-01-10 05:40 UTC, dje
Details
valgrind output (757 bytes, text/plain)
2014-01-10 05:41 UTC, dje
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dje 2014-01-10 05:12:16 UTC
I'm seeing several failures in mi-var-cmd.exp when using Fission.
I've traced the problem to demangled_names_hash.
The hash table lives in per_bfd space and while the symbol name is also supposed to live in per_bfd space, when using dwo files it lives in the per_bfd space of the dwo which is freed when the objfile is freed.
Comment 1 dje 2014-01-10 05:40:33 UTC
Created attachment 7345 [details]
transcript to feed to gdb to repro
Comment 2 dje 2014-01-10 05:41:39 UTC
Created attachment 7346 [details]
valgrind output
Comment 3 dje 2014-01-10 05:45:04 UTC
make check RUNTESTFLAGS='--target_board=fission mi-var-cmd.exp'

There are several failures, these are representative, the memory containing the symbols names for v1,v2 has been reused:

FAIL: gdb.mi/mi-var-cmd.exp: create varobj for v1
FAIL: gdb.mi/mi-var-cmd.exp: create varobj for v2

I don't always see the failures, it presumably depends on how memory gets reused.
Presumably something is always visible with valgrind.

cd testsuite
valgrind ../gdb =i=mi <16426.transcript

The attached valgrind output is what I see.
Comment 4 dje 2014-01-10 05:48:37 UTC
There are various solutions.  DWO files are typically only used when debugging from the build tree.  Still, ideally, we'd tie the DWO files to the "main" bfd that refers to them.
Comment 5 Tom Tromey 2014-01-10 06:34:28 UTC
Linking the BFD lifetimes sounds reasonable to me.
A possible gotcha is whether the DWO sections
are attached to the DWO BFD.  If not perhaps a fix
for the gdb_bfd_requires_relocation bug is also needed.

Also, I think this bug affects dwz as well.
Comment 6 cvs-commit@gcc.gnu.org 2014-01-14 01:16:59 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "gdb and binutils".

The branch, master has been updated
       via  13aaf454542c1028a033ac836d7a0d47c63a7029 (commit)
      from  067c5c1de23cff42597ec35d4c2a0730d8c16fbe (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=13aaf454542c1028a033ac836d7a0d47c63a7029

commit 13aaf454542c1028a033ac836d7a0d47c63a7029
Author: Doug Evans <dje@google.com>
Date:   Mon Jan 13 17:15:42 2014 -0800

    PR symtab/16426
    
    	* dwarf2read.c (dwarf2_get_dwz_file): Call gdb_bfd_record_inclusion.
    	(try_open_dwop_file): Ditto.
    	* gdb_bfd.c: #include "vec.h".
    	(bfdp): New typedef.
    	(struct gdb_bfd_data): New member included_bfds.
    	(gdb_bfd_unref): Unref all included bfds.
    	(gdb_bfd_record_inclusion): New function.
    	* gdb_bfd.h (gdb_bfd_record_inclusion): Declare.

-----------------------------------------------------------------------

Summary of changes:
 gdb/ChangeLog    |   12 ++++++++++++
 gdb/dwarf2read.c |    9 +++++++++
 gdb/gdb_bfd.c    |   28 +++++++++++++++++++++++++++-
 gdb/gdb_bfd.h    |   14 ++++++++++++++
 4 files changed, 62 insertions(+), 1 deletions(-)
Comment 7 cvs-commit@gcc.gnu.org 2014-01-14 22:51:33 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "gdb and binutils".

The branch, gdb-7.7-branch has been updated
       via  88a8702513241486a306cb05b42f051a3e8e9cc2 (commit)
      from  555737945a55d0d405f2b4a6755e5b6e55509de6 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=88a8702513241486a306cb05b42f051a3e8e9cc2

commit 88a8702513241486a306cb05b42f051a3e8e9cc2
Author: Doug Evans <dje@google.com>
Date:   Tue Jan 14 14:49:25 2014 -0800

    PR symtab/16426
    
    	* dwarf2read.c (dwarf2_get_dwz_file): Call gdb_bfd_record_inclusion.
    	(try_open_dwop_file): Ditto.
    	* gdb_bfd.c: #include "vec.h".
    	(bfdp): New typedef.
    	(struct gdb_bfd_data): New member included_bfds.
    	(gdb_bfd_unref): Unref all included bfds.
    	(gdb_bfd_record_inclusion): New function.
    	* gdb_bfd.h (gdb_bfd_record_inclusion): Declare.

-----------------------------------------------------------------------

Summary of changes:
 gdb/ChangeLog    |   12 ++++++++++++
 gdb/dwarf2read.c |    9 +++++++++
 gdb/gdb_bfd.c    |   28 +++++++++++++++++++++++++++-
 gdb/gdb_bfd.h    |   14 ++++++++++++++
 4 files changed, 62 insertions(+), 1 deletions(-)
Comment 8 cvs-commit@gcc.gnu.org 2014-01-27 17:48:46 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "gdb and binutils".

The annotated tag, hjl/linux/release/2.24.51.0.3 has been created
        at  8436875f37cd327e7fe80f05a0b7b2ca65d26cb4 (tag)
   tagging  7908ae0a55ee9845bb6537448d07fedb17065d4d (commit)
  replaces  hjl/linux/release/2.24.51.0.2
 tagged by  H.J. Lu
        on  Mon Jan 27 09:47:38 2014 -0800

- Log -----------------------------------------------------------------
Linux binutils 2.24.51.0.3

Alan Modra (60):
      daily update
      Correct elf_merge_st_other arguments for weak symbols
      daily update
      daily update
      daily update
      daily update
      daily update
      daily update
      Don't segv on cie.initial_instructions[] overflow.
      daily update
      daily update
      daily update
      daily update
      daily update
      daily update
      daily update
      daily update
      daily update
      daily update
      daily update
      daily update
      daily update
      daily update
      daily update
      daily update
      daily update
      daily update
      daily update
      daily update
      Don't adjust LOAD segment to match GNU_RELRO segment
      daily update
      daily update
      daily update
      Error on shared lib call to @local ifunc
      missing changelog for last patch
      daily update
      daily update
      non-PIC references to __ehdr_start in pie and shared
      daily update
      Fix mips segfault on GOT access of absolute symbol
      Tidy ld use of bfd_section userdata.
      daily update
      Allow ld target customiser script to force on disk scripts.
      daily update
      daily update
      Allow self-assignment for absolute symbols defined in a linker script
      daily update
      daily update
      Make assignments to dot keep an empty output section.
      Miscellaneous ld tidies
      Comment typo
      Fix gas build breakage
      Display the reference causing a shared library to be needed
      daily update
      daily update
      Fixes powerpc64le ld segfaults when --emit-relocs is used.
      TLS orphan section placement
      daily update
      daily update
      daily update

Andreas Arnez (5):
      Since upstream gcc has recently increased the function alignment on
      Prevent appending "-g" after "-g3" to compile options in info-macros.exp.
      Re-introduce '_start' labels and add alignment in dw2-dir-file-name test case.
      Fix regression on s390x with entry-values.exp.
      gdb/ChangeLog:

Andreas Schwab (3):
      Fix missing newline in error message
      Set proper OS ABI magic for ELF/m68k
      Use correct default for target functions that return pointer

Andrew Bennett (2):
      Range of element index is too large on MIPS MSA element selection instructions.
      Add support to show the symbolic names of the MIPS CP1 registers.

Andrew Burgess (1):
      Convert the unavailable vector to be bit, not byte, based.

Andrew Pinski (1):
      AARCH64: Change cpsr type to be 64bit.

Asmwarrior (1):
      PR binutils/14289

Baruch Siach (2):
      gdb: xtensa: fix linux ptrace includes
      gdb: xtensa: fix on 64-bit hosts

Bill Maddox (1):
      libiberty: sync with gcc

Cary Coutant (1):
      Add configure checks for <unordered_set> and <unordered_map>.

Christophe Lyon (1):
      2014-01-14  Michael Hudson-Doyle  <michael.hudson@linaro.org>

Chung-Lin Tang (1):
      2013-12-20  Chung-Lin Tang  <cltang@codesourcery.com>

DJ Delorie (3):
      Ensure that %func() expressions are outermost terms
      Add .refsym to msp430 backend
      Add .data and .bss refsym symbols

Doug Evans (14):
      Reorganize extension language auto-loading docs.
      * nat/linux-waitpid.c (linux_debug): Remove extraneous \n from output.
      PR symtab/16426
      psymtab cleanup patch 1/3
      psymtab cleanup patch 2/3
      psymtab cleanup patch 3/3
      * dwarf2read.c (open_and_init_dwp_file): Use pulongest to print uint32_t.
      delete thread_id_to_gdb_id, unused
      dwarf2read.c (open_and_init_dwp_file): Fix typo in comment.
      * dll.c (UNSPECIFIED_CORE_ADDR): New macro.
      Move ASSERT_FUNCTION to FUNCTION_NAME.
      Add delim_string_to_char_ptr_vec.
      New gdbserver option --debug-format=timestamp.
      * gdbthread.h (gdb_id_to_thread): Delete, unused.

Edjunior Barbosa Machado (1):
      Fix dir command for duplicated paths and add a new testcase.

Eli Zaretskii (1):
      Fix MinGW compilation errors in gdbserver/.

Gabriel Krisman Bertazi (1):
      Fix PR breakpoints/16297: catch syscall with syscall 0

Gary Benson (1):
      libiberty: sync with gcc

Guy Martin (1):
      Fix duplicate output section statement lookup

H.J. Lu (66):
      Update version to 2.24.51.0.3
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      Set the SHF_INFO_LINK bit for SHT_REL/SHT_RELA in .o files
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      Rename index to indx
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      Use _bfd_elf_copy_private_bfd_data
      Default elf_backend_post_process_headers to set OSABI
      Call _bfd_elf_post_process_headers
      Call _bfd_elf_post_process_headers
      Don't run x86-64-disassem for mingw targets
      Set SHF_INFO_LINK bit for SHT_REL/SHT_RELA sections
      Add amd64_x32_linux_record_tdep and amd64_x32_sys
      Zero-extend address from 32-bit to 64-bit for ADDR32 prefix
      Properly decode MODRM byte for 64-bit
      Mask out PREFIX_ADDR when adding prefix to opcode
      Covert leading spaces to tab
      Define IREL_IN_PLT for elf_k1om.sh and elf_l1om.sh
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      Don't apply binutils-pr16317.patch
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      New Year - binutils ChangeLog rotation
      Update copyright year to 2014
      Adjust LOAD segment to generate GNU_RELRO segment
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      Don't apply binutils-pr16322.patch
      Remove regbnd and vec_disp8
      Add and use check_lto_shared_available
      Check if GNU_RELRO segment is is generated
      Fix copyright year
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      Save BFD filename to be used after bfd_close
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      Don't update reloc count if there are any non pc-relative relocs
      Revert the last change
      Don't discard relocs against __ehdr_start
      Revert the last change
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      Silence uninitialized warning on ehdr_start_save
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      Skip directories with LIBPATH_SUFFIX_SKIP suffix
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      Add a testcase for PR ld/2404
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      Update binutils-lto-mixed.patch against master
      Add and apply binutils-pr16467.patch
      Don't check shared/export_dynamic/ref_dynamic for type mismatch
      Update comments for the last commit
      Check incompatible existing default symbol definition
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      Update binutils-lto-mixed.patch against master
      Remove binutils-pr16467.patch
      Add and apply binutils-pr16498.patch
      Issue a linker error if TLS sections are not adjacent
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      Remove binutils-pr16498.patch
      Improve orphaned TLS section handling
      Add another testcase for PR ld/16498
      Replace .align with .p2align
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      Add and apply binutils-pr16496.patch
      Merge remote-tracking branch 'origin/master' into hjl/linux/master
      Merge remote-tracking branch 'origin/hjl/linux/master' into hjl/linux/applied
      Update release note for 2.24.51.0.3

Hans-Peter Nilsson (2):
      Adjust MMIX gas tests for recent bfd/elf.c change.
      * emulparams/crislinux.sh (COMMONPAGESIZE): Define.

Honggyu Kim (1):
      Remove duplicated #include's from GDB

Hui Zhu (2):
      Remove gdb_bfd_stash_filename to fix crash with fix of binutils/11983
      Fix a error of my previous commit.

Iain Buclaw (7):
      Add myself as a write-after-approval gdb maintainer.
      Add gdb.dlang to the gdb testsuite for the purpose of creating D
      Update d_language_defn to reflect that D does not have any style of
      Add d_main_name to set the logical entry point for D programs.
      Define all basic data types of D and add them to the primitive type
      Fix and update D demangling support in gdb to the current mangling ABI.
      Move D demangling routines out of d-lang.c and into d-support.c, which

Ian Lance Taylor (1):
      * stringpool.cc (Stringpool_template::reserve): Add

Ilya Tocar (1):
      * peXXigen.c (rsrc_process_section): Use ptrdiff_t as the type for

Jan Kratochvil (1):
      Fix set auto-load safe-path false warning regression (PR 16216)

Jan-Benedict Glaw (1):
      2013-12-13  Jan-Benedict Glaw  <jbglaw@lug-owl.de>

Joel Brobecker (43):
      Small style violation fix in ada_array_bound_from_type
      wrong dimension found in ada-lang.c:ada_array_bound_from_type
      nameless LOAD_DLL_DEBUG_EVENT causes ntdll.dll to be missing
      Revert "Do not overwrite so_list's so_name in solib_map_sections"
      ARI fix in value.c::value_entirely_unavailable
      Move GDB/MI commands related to support-query to their own @node.
      Turn -list-feature @table into @ftable.
      Fix gdb.Field attributes documentation for enum types.
      Clarify documentation of the gdb.Field.bitpos attribute
      New Year - GDB ChangeLog rotation.
      Add gdb/ChangeLog-2013 entry in fnchange.lst.
      Update copyright year in gdb/gdbserver/gdbreplay version output.
      Update Copyright year range in all files maintained by GDB.
      Add gdb/ChangeLog entry for previous change.
      [python] Add gdb.Type.name attribute.
      ada-valprint.c: Reorder functions to reduce advance declarations.
      ada_val_print_1: Add language parameter
      ada_val_print_1: Go through val_print instead of recursive call to self.
      Remove call to gdb_flush at end of ada_val_print_1
      Split ada_val_print_1 into smaller functions
      ada-valprint.c: Inline print_record inside ada_val_print_struct_union
      rewrite ada_val_print_ref to reduce if/else block nesting depth
      move ada_val_print_array down within other ada_val_print* functions
      Extract string-printing out of ada_val_print_array
      ada_print_floating: Remove use of statically sized buffer.
      Ada: Fix missing call to pretty-printer for fields of records.
      varobj/Ada: Missing children for interface-wide tagged types
      Add missing ChangeLog entries.
      Bump version to 7.7.50.DATE-cvs.
      Update NEWS post GDB 7.7 branch creation.
      Remove path from gdb.python/py-pp-integral.exp "source" test.
      Remove path from gdb.ada/pp-rec-component.exp "source" test
      Small fixes to the GDB/MI Output Syntax grammar.
      Add missing empty line after declarations in "if" block (py-type.c).
      Fix small style violation in py-value.c:get_field_type
      Expand documentation of common-utils.h::FUNCTION_NAME
      Add ARI (ok) marker for __func__ reference in common-utils.h
      Remove assert in procfs.c::procfs_make_note_section (x86-solaris)
      [Ada] Array bound incorrectly printed for array indexed by enum subrange
      Add missing empty line after declaration in ada-typeprint.c:print_range.
      Remove unncessary function declarations in ada-typeprint.c.
      Try printing array range using the name of its index type
      ada-lang.c: Really include "ui-out.h".

Keven Boell (2):
      fortran: enable ptype/whatis for user defined types.
      fortran: enable ptype/whatis for modules.

Kuan-Lin Chen (2):
      Add support for Andes NDS32:
      Add system register and embedded debug register support.

Ma Jiang (1):
      2014-01-13  Ma Jiang  <ma.jiang@zte.com.cn>

Maciej W. Rozycki (2):
      * nds32-asm.c (parse_operand): Fix out-of-range integer constant.
      AArch64: gdb.base/float.exp: Fix `info float' test

Marcus Shawcroft (2):
      [AArch64] Define LP64 LE loader name.
      [AArch64] Define LP64 BE linker name.

Markus Metzger (30):
      test, btrace: update expected text
      btrace, test: fix multi-line btrace tests
      btrace, linux: fix memory leak when reading branch trace
      btrace: uppercase btrace_read_type
      gdbarch: add instruction predicate methods
      frame: add frame_id_build_unavailable_stack_special
      btrace: change branch trace data structure
      record-btrace: fix insn range in function call history
      record-btrace: start counting at one
      btrace: increase buffer size
      record-btrace: optionally indent function call history
      record-btrace: make ranges include begin and end
      btrace: add replay position to btrace thread info
      Add target_ops argument to to_prepare_to_store
      record-btrace: supply register target methods
      frame, backtrace: allow targets to supply a frame unwinder
      frame, cfa: check unwind stop reason first
      frame: do not assume unwinding will succeed
      record-btrace, frame: supply target-specific unwinder
      target, breakpoint: allow insert/remove breakpoint to be forwarded
      record-btrace: provide xfer_partial target method
      record-btrace: add to_wait and to_resume target methods.
      record-btrace: provide target_find_new_threads method
      record-btrace: add record goto target methods
      record-btrace: extend unwinder
      btrace, gdbserver: read branch trace incrementally
      record-btrace: show trace from enable location
      target: allow decr_pc_after_break to be defined by the target
      record-btrace: add (reverse-)stepping support
      btrace: initiate teardown when closing record btrace target

Michael Zolotukhin (3):
      Properly handle ljmp/lcall with invalid MODRM byte
      Add check for invalid register in AVX512 gathers
      Remove regzmm from AVX2 gather assert

Mike Frysinger (1):
      libiberty: fix --enable-install-libiberty flag [PR 56780]

Nick Clifton (11):
      * config/tc-msp430.c (mcu_types): Add some more 430X mcu names.
      * peXXigen.c: Include wchar.h if available.
      * peXXigen.c (rsrc_print_section): Use ptrdiff_t as the type for
      * config/tc-rx.c (rx_include): Rename 'eof' to 'last_char' in
      PR binutils/16218
      * objcopy.c (dump_sections): New list.
      PR binutils/11983
      Update name in changelog entry.
      PR binutils/16199
      PR gas/16434
      Remove the display of known MCU names from the MSP430 port of GAS.

Omair Javaid (8):
      gdb: ARM: Fix for memory record corruption due to 64bit addresses
      gdb: ARM: Fix for bugs in push and ldm instructions decoding
      gdb: ARM: Fix for bug in pop instruction decoding
      gdb: ARM: Adds support for recording system call instructions
      gdb: ARM: Add support for thumb32 instructions recording
      gdb: ARM: Update configure.tgt and enable gdb.reverse testsuite
      gdb: Add a NEWS entry for ARM record/replay improvements
      Fix testsuite/gdb.dwarf2/dw2-dos-drive.exp on ARM.

Patrick Palka (1):
      Have regdat.sh always rewrite the output register file

Pedro Alves (17):
      Do the target-waiting within do_initial_child_stuff on Windows.
      PR 16329: remote debugging broken on Solaris.
      "tfind" across unavailable-stack frames.
      [remote/gdbserver] Don't lose signals when reconnecting.
      GDBserver: Discard previous queued events when GDB disconnects.
      Handle the case of a remote target supporting target side commands, but not on software breakpoints.
      gdb.mi/mi-info-os.exp: Fix cross-debugger testing
      [doc] Mention that "set environment" affects the shell too.
      tfile: Don't infer the PC from the tracepoint if the PC is a pseudo-register.
      New "make check-headers" rule.
      Fix "is a record target open" checks.
      Fix go32-nat.c build fallout from to_detach constification.
      Fix gdb.trace/mi-traceframe-changed.exp on s390.
      Fix PR PR16445 - gdbserver build failure on x86.
      Fix silly ChangeLog entry in previous change.
      Fix PR mention in gdb/gdbserver/ChangeLog's previous change.
      xtensa-config.c: missing defs.h include.

Philipp Tomsich (1):
      [AArch64] Add GAS recognition for "xgene-1"

Pierre Muller (4):
      Fix compilation error for cygwin native build.
      *  peXXigen.c (u16_mbtouc): Avoid unused function warning by excluding if
      * Fix indentation issue and reorganize last commit entry
      Fix PR16201.

Roland McGrath (2):
      Fix buffer underrun in i386-dis.c.
      gdb: Support install-strip target

Sergio Durigan Junior (8):
      Improve and fix catch-syscall.exp
      Extend SystemTap SDT probe argument parser
      Some cleanups on stap-probe.c
      Implement SystemTap SDT probe support for AArch64
      Extend handling of immediates on ARM's SystemTap SDT probe support
      Add comment describing arm_stap_is_single_operand
      Split i386_stap_parse_special_token into smaller functions
      Add "volatile" keyword to "struct gdb_exception" declaration

Simon Marchi (1):
      Add comments to gdbarch_address_class_name_to_type_flags.

Siva Chandra (1):
      Use bitpos and type to lookup a gdb.Field object when its name is 'None'.

Sterling Augustine (1):
      2013-12-17  Sterling Augustine  <saugustine@google.com>

Tom Tromey (33):
      remove remnants of old Mach-O workaround
      make serial_ops const
      don't allocate serial_ops
      convert CONST to const
      fix JIT reader path creation
      remove ANSI_PROTOTYPES
      remove uses of PARAMS from binutils
      remove VA_* from binutils
      remove PARAMS from include/cgen
      remove PARAMS from sim
      remove VA_* macros from sim
      remove include/gdbm.h
      replace XZALLOC with XCNEW
      replace XMALLOC with XNEW
      replace XCALLOC with XCNEWVEC or XCNEW
      remove deprecated_set_hook
      remove unused deprecated_flush_hook declaration
      remove use_windows
      remove obsolete declaration
      introduce async_callback_ftype
      change solib-frv to use entry_point_address_query
      relocate the entry point address when used
      move the entry point info into the per-bfd object
      make language_of_main static
      move main name into the progspace
      move the "main" data into the per-BFD object
      remove extended_remote_create_inferior_1
      rearrange struct value to save memory
      convert flags to bitfields
      better packing for command struct
      fix crash in frame filters
      fix erroneous error-handling in frame filter code
      avoid python exception in FrameDecorator.py

Tristan Gingold (2):
      Remove duplicated entry for .pad in c-arm.texi
      Use table jump macros in coff-rs6000 targets.

Vidya Praveen (2):
      * lib/ld-lib.exp (default_ld_link): Use ldflags from board description
      * lib/ld-lib.exp (default_ld_link): Remove support for ldflags.

Will Newton (1):
      gas: ARM: Fix encoding of VCVTr.s32.f64 instructions

Yao Qi (22):
      Perf test case: skip-prologue
      Fix the format of one ChangeLog entry
      Replace sprintf with xsnprintf
      Add target_xfer_partial_ftype
      Use enum bfd_endian in gdbarch.sh
      Fix no previous prototype for '_initialize_gnu_nat' [-Werror=missing-prototypes]
      Remove declaration of inf_tid_to_proc
      Make functions static.
      Use void for empty argument list in trace_me
      Add qualifier 'const' to argument args
      Remove an empty-body 'if' statement
      Cast to uintptr_t when calling ptrace32 on aix
      Fix missing-prototypes error for '_initialize_spu_nat'
      Pass name to symbol_file_add_from_bfd
      Fix pointer assignment with different signedness
      Use target_xfer_partial_ftype for rs6000_xfer_shared_libraries
      Change to_xfer_partial 'len' type to ULONGEST.
      Change 'len' of linux_common_xfer_osdata to ULONGEST.
      Change 'len''s type from LONGEST to ULONGEST: gdbarch methods core_xfer_shared_libraries and core_xfer_shared_libraries_aix
      Use gdb_byte * instead of void *
      Change len's type to ULONGEST: remote_write_bytes_aux
      Change len's type to ULONGEST: remote_read_bytes and get_core_siginfo

Yufeng Zhang (3):
      ld/testsuite
      gdb/
      gas/

fxcoudert (1):
      * configure.ac: Add user-friendly check for native x86_64-linux multilibs. * configure: Regenerate.

tromey (1):
      include 	* ansidecl.h (ANSI_PROTOTYPES, PTRCONST, LONG_DOUBLE, PARAMS) 	(VPARAMS, VA_START, VA_OPEN, VA_CLOSE, VA_FIXEDARG, CONST) 	(VOLATILE, SIGNED, PROTO, EXFUN, DEFUN, DEFUN_VOID, AND, DOTS) 	(NOARGS): Don't define. 	* libiberty.h (expandargv, writeargv): Don't use PARAMS. libiberty 	* _doprint.c (checkit): Use stdarg, not VA_* macros. 	* asprintf.c (asprintf): Use stdarg, not VA_* macros. 	* concat.c (concat_length, concat_copy, concat_copy2, concat) 	(reconcat): Use stdarg, not VA_* macros. 	* snprintf.c (snprintf): Use stdarg, not VA_* macros. 	* vasprintf.c (checkit): Use stdarg, not VA_* macros. 	* vsnprintf.c (checkit): Use stdarg, not VA_* macros.

-----------------------------------------------------------------------
Comment 9 dje 2016-05-16 16:21:06 UTC
The product/component fields were errantly changed.
I've changed them back.